Index: /trunk/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- /trunk/source/Lib/TLibCommon/TComDataCU.cpp	(revision 1132)
+++ /trunk/source/Lib/TLibCommon/TComDataCU.cpp	(revision 1133)
@@ -154,10 +154,4 @@
 #endif
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-  m_pucDisparityDerivedDepth = NULL;
-  m_pbUseDDD = NULL;
-#endif
-#endif
 }
 
@@ -301,10 +295,4 @@
   m_pcPattern            = (TComPattern*)xMalloc(TComPattern, 1);
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-  m_pucDisparityDerivedDepth         = (UChar*  )xMalloc( UChar,  uiNumPartition);
-  m_pbUseDDD                         = (Bool*  ) xMalloc( Bool,   uiNumPartition);
-#endif 
-#endif
 
   // create motion vector fields
@@ -390,10 +378,4 @@
 #endif
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-    if ( m_pucDisparityDerivedDepth ) { xFree(m_pucDisparityDerivedDepth);          m_pucDisparityDerivedDepth        = NULL; }
-    if ( m_pbUseDDD                 ) { xFree(m_pbUseDDD);                          m_pbUseDDD                        = NULL; }
-#endif
-#endif
 
 #if H_3D_ARP
@@ -524,10 +506,4 @@
 #endif
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-    m_pucDisparityDerivedDepth[ui] = pcFrom->m_pucDisparityDerivedDepth[ui];
-    m_pbUseDDD[ui] = pcFrom->m_pbUseDDD[ui];
-#endif
-#endif
     m_puhWidth  [ui] = pcFrom->getWidth(ui);
     m_puhHeight [ui] = pcFrom->getHeight(ui);
@@ -611,10 +587,4 @@
 #endif
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-    memset( m_pucDisparityDerivedDepth        + firstElement, 0,           numElements * sizeof( *m_pucDisparityDerivedDepth ) );
-    memset( m_pbUseDDD                        + firstElement, 0,           numElements * sizeof( *m_pbUseDDD ) );
-#endif
-#endif
 
 #if H_3D_DIM
@@ -793,10 +763,4 @@
 #endif
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-      m_pucDisparityDerivedDepth[ui] = 0;
-      m_pbUseDDD[ui] = 0;
-#endif
-#endif
 
 #if H_3D_DIM
@@ -904,10 +868,4 @@
 #endif
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-  memset( m_pucDisparityDerivedDepth,         0, iSizeInUchar );
-  memset( m_pbUseDDD,                         0, iSizeInBool );
-#endif
-#endif
 
   UChar uhWidth  = g_uiMaxCUWidth  >> uiDepth;
@@ -1003,10 +961,4 @@
 #endif
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-      m_pucDisparityDerivedDepth[ui] = pcCU->m_pucDisparityDerivedDepth[uiPartOffset+ui];
-      m_pbUseDDD[ui]                 = pcCU->m_pbUseDDD[uiPartOffset+ui];
-#endif
-#endif
 
 #if H_3D_DIM
@@ -1154,10 +1106,4 @@
 #endif
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-  m_pucDisparityDerivedDepth          = pcCU->getDDDepth()        + uiPart;
-  m_pbUseDDD                          = pcCU->getUseDDD()         + uiPart;
-#endif
-#endif
 
   m_puhLumaIntraDir     = pcCU->getLumaIntraDir()     + uiPart;
@@ -1309,10 +1255,4 @@
 #endif
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-  m_pucDisparityDerivedDepth         = pcCU->getDDDepth()              + uiAbsPartIdx;
-  m_pbUseDDD                         = pcCU->getUseDDD()              + uiAbsPartIdx;
-#endif
-#endif
     
 #if H_3D_DBBP
@@ -1380,10 +1320,4 @@
   memcpy( m_puhCbf[2] + uiOffset, pcCU->getCbf(TEXT_CHROMA_V), iSizeInUchar );
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-  memcpy( m_pucDisparityDerivedDepth          + uiOffset, pcCU->getDDDepth(),         iSizeInUchar );
-  memcpy( m_pbUseDDD                          + uiOffset, pcCU->getUseDDD(),          iSizeInBool );
-#endif
-#endif
 
 
@@ -1485,10 +1419,4 @@
 #endif
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-  memcpy( rpcCU->getDDDepth()          + m_uiAbsIdxInLCU, m_pucDisparityDerivedDepth,         iSizeInUchar  );
-  memcpy( rpcCU->getUseDDD()           + m_uiAbsIdxInLCU, m_pbUseDDD,                         iSizeInBool  );
-#endif
-#endif
 
   memcpy( rpcCU->getPartitionSize()  + m_uiAbsIdxInLCU, m_pePartSize, sizeof( *m_pePartSize ) * m_uiNumPartition );
@@ -1624,10 +1552,4 @@
   memcpy( rpcCU->getCbf(TEXT_CHROMA_V) + uiPartOffset, m_puhCbf[2], iSizeInUchar );
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-  memcpy( rpcCU->getDDDepth()          + uiPartOffset, m_pucDisparityDerivedDepth,         iSizeInUchar );
-  memcpy( rpcCU->getUseDDD()           + uiPartOffset, m_pbUseDDD,                         iSizeInBool );
-#endif
-#endif
 
 #if H_3D_DIM
@@ -1696,23 +1618,4 @@
 }
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-Void TComDataCU::setDDDepthSubParts ( UChar ucDDD, UInt uiAbsPartIdx, UInt uiPartIdx, UInt uiDepth )
-{
-    setSubPart<UChar>( ucDDD, m_pucDisparityDerivedDepth, uiAbsPartIdx, uiDepth, uiPartIdx );
-}
-
-Void TComDataCU::setUseDDD        ( Bool bUseDDD, UInt uiAbsPartIdx, UInt uiPartIdx, UInt uiDepth )
-{
-    setSubPart<Bool>( bUseDDD, m_pbUseDDD, uiAbsPartIdx, uiDepth, uiPartIdx );
-}
-
-Void TComDataCU::setUseDDD( Bool bUseDDD, UInt uiAbsPartIdx, UInt uiDepth )
-{
-    memset( m_pbUseDDD + uiAbsPartIdx, bUseDDD, (m_pcPic->getNumPartInCU() >> ( 2 * uiDepth ))*sizeof(Bool) );
-}
-
-#endif
-#endif
 
 // --------------------------------------------------------------------------------------------------------------------
@@ -2425,9 +2328,5 @@
     Bool depthRefineFlag = false;
 #if H_3D_NBDV_REF
-#if HHI_TOOL_PARAMETERS_I2_J0107
     depthRefineFlag = m_pcSlice->getDepthRefinementFlag(  );
-#else
-    depthRefineFlag = m_pcSlice->getVPS()->getDepthRefinementFlag( m_pcSlice->getLayerIdInVps() );
-#endif
 #endif // H_3D_NBDV_REF
     
@@ -3340,9 +3239,5 @@
 inline Bool TComDataCU::xAddVspCand( Int mrgCandIdx, DisInfo* pDInfo, Int& iCount)
 {
-#if HHI_TOOL_PARAMETERS_I2_J0107
   if ( m_pcSlice->getViewIndex() == 0 || !m_pcSlice->getViewSynthesisPredFlag( ) || m_pcSlice->getIsDepth() || pDInfo->m_aVIdxCan == -1)
-#else
-  if ( m_pcSlice->getViewIndex() == 0 || !m_pcSlice->getVPS()->getViewSynthesisPredFlag( m_pcSlice->getLayerIdInVps() ) || m_pcSlice->getIsDepth() || pDInfo->m_aVIdxCan == -1)
-#endif
   {
     return false;
@@ -3899,7 +3794,4 @@
 )
 {
-#if !SEC_A1_BASED_VSP_J0039
-  UInt uiAbsPartAddr = m_uiAbsIdxInLCU + uiAbsPartIdx;
-#endif
 #if H_3D_IV_MERGE
   ////////////////////////////
@@ -3914,9 +3806,4 @@
   UChar tmpDir;
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-  m_iUseDDDCandIdx = -1;
-#endif
-#endif
 
   //////////////////////////////////
@@ -3958,9 +3845,5 @@
   deriveLeftBottomIdxGeneral  ( uiAbsPartIdx, uiPUIdx, uiPartIdxLB );
 #if H_3D
-#if HHI_TOOL_PARAMETERS_I2_J0107
   Bool bMPIFlag   = getSlice()->getMpiFlag(); 
-#else
-  Bool bMPIFlag   = getSlice()->getVPS()->getMPIFlag( getSlice()->getLayerIdInVps() );
-#endif
   Bool bIsDepth = getSlice()->getIsDepth();
 #endif 
@@ -4022,9 +3905,4 @@
 
   // above
-#if !SEC_A1_BASED_VSP_J0039
-  UInt uiAbovePartIdx = 0;
-  TComDataCU* pcCUAbove = 0;
-  pcCUAbove = getPUAbove( uiAbovePartIdx, uiPartIdxRT );
-#endif
 
   if (getAvailableFlagB1())
@@ -4033,19 +3911,5 @@
 #if H_3D_VSP
     ,
-#if SEC_A1_BASED_VSP_J0039
       false
-#else
-      ( ( ( getAddr() - pcCUAbove->getAddr() ) == 0) && (pcCUAbove->getVSPFlag(uiAbovePartIdx) != 0) 
-#if H_3D_IC
-      && !bICFlag
-#endif
-#if H_3D_ARP
-      && !bARPFlag
-#endif
-#if H_3D_DBBP
-      && !bDBBPFlag
-#endif
-      )
-#endif
 #endif
       , false
@@ -4055,9 +3919,4 @@
 
   // above right
-#if !SEC_A1_BASED_VSP_J0039
-  UInt uiAboveRightPartIdx = 0;
-  TComDataCU* pcCUAboveRight = 0;
-  pcCUAboveRight = getPUAboveRight( uiAboveRightPartIdx, uiPartIdxRT );
-#endif
 
   if (getAvailableFlagB0())
@@ -4066,19 +3925,5 @@
 #if H_3D_VSP
     ,
-#if SEC_A1_BASED_VSP_J0039
       false
-#else
-      ( ( ( getAddr() - pcCUAboveRight->getAddr() ) == 0) && (pcCUAboveRight->getVSPFlag(uiAboveRightPartIdx) != 0) 
-#if H_3D_IC
-      && !bICFlag
-#endif
-#if H_3D_ARP
-      && !bARPFlag
-#endif
-#if H_3D_DBBP
-      && !bDBBPFlag
-#endif
-      )
-#endif
 #endif
       , false
@@ -4088,8 +3933,4 @@
 
   // left bottom
-#if !SEC_A1_BASED_VSP_J0039
-  UInt uiLeftBottomPartIdx = 0;
-  TComDataCU* pcCULeftBottom = getPUBelowLeft( uiLeftBottomPartIdx, uiPartIdxLB );
-#endif
 
   if (getAvailableFlagA0())
@@ -4098,19 +3939,5 @@
 #if H_3D_VSP
     ,
-#if SEC_A1_BASED_VSP_J0039
       false
-#else
-      (pcCULeftBottom->getVSPFlag(uiLeftBottomPartIdx) != 0
-#if H_3D_IC
-      && !bICFlag
-#endif
-#if H_3D_ARP
-      && !bARPFlag
-#endif
-#if H_3D_DBBP
-      && !bDBBPFlag
-#endif
-      )
-#endif
 #endif
       , false
@@ -4120,9 +3947,4 @@
 
   // above left
-#if !SEC_A1_BASED_VSP_J0039
-  UInt uiAboveLeftPartIdx = 0;
-  TComDataCU* pcCUAboveLeft = 0;
-  pcCUAboveLeft = getPUAboveLeft( uiAboveLeftPartIdx, uiAbsPartAddr );
-#endif
 
   if (getAvailableFlagB2())
@@ -4131,19 +3953,5 @@
 #if H_3D_VSP
     ,
-#if SEC_A1_BASED_VSP_J0039
       false
-#else
-      ( ( ( getAddr() - pcCUAboveLeft->getAddr() ) == 0) && (pcCUAboveLeft->getVSPFlag(uiAboveLeftPartIdx) != 0) 
-#if H_3D_IC
-      && !bICFlag
-#endif
-#if H_3D_ARP
-      && !bARPFlag
-#endif
-#if H_3D_DBBP
-      && !bDBBPFlag
-#endif
-      )
-#endif
 #endif
       , false
@@ -4343,90 +4151,4 @@
     }
   }
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-  if( m_pcSlice->getIsDepth() && m_pcSlice->getViewIndex() != 0  && bMPIFlag )
-  {
-    UInt uiPartIdx;
-    TComDataCU *pcTextureCU = m_pcSlice->getTexturePic()->getCU( getAddr() );
-    TComSlice *pcTextureSlice = pcTextureCU->getSlice();  
-
-
-    tmpMV[0].setMvField( cZeroMv, NOT_VALID );
-    tmpMV[1].setMvField( cZeroMv, NOT_VALID );
-    tmpDir = 0;
-
-    xDeriveCenterIdx( uiPUIdx, uiPartIdx); 
-
-    if ( pcTextureCU && !pcTextureCU->isIntra( uiPartIdx ) )
-    {
-
-      TComMvField cMVField;
-      Int iDV = 0;
-      Int iViewIdx = 0;
-      pcTextureCU->getMvField( pcTextureCU, uiPartIdx, REF_PIC_LIST_0, cMVField );
-      if( cMVField.getRefIdx() >= 0 )
-      {
-        if( pcTextureSlice->getRefPOC( REF_PIC_LIST_0, cMVField.getRefIdx()) == pcTextureSlice->getPOC() )
-        {
-          iViewIdx = pcTextureSlice->getRefPic( REF_PIC_LIST_0, cMVField.getRefIdx())->getViewIndex();
-          iDV = cMVField.getHor();
-
-
-          Int iValidDepRef = getPic()->isTextRefValid( REF_PIC_LIST_0, cMVField.getRefIdx() );
-
-          if( iValidDepRef >= 0 )
-          {
-            const TComMv cAdd( 2, 2 );
-            cMVField.getMv() += cAdd;
-            cMVField.getMv() >>= 2;
-#if !(NTT_BUG_FIX_TK54)
-            clipMv( cMVField.getMv() );
-#endif
-            tmpMV[ 0 ].setMvField( cMVField.getMv(), iValidDepRef );
-            tmpDir = 1;
-          }
-        }
-      }
-
-      pcTextureCU->getMvField( pcTextureCU, uiPartIdx, REF_PIC_LIST_1, cMVField );
-
-      if( !tmpDir && cMVField.getRefIdx() >= 0 )
-      {
-        if( pcTextureSlice->getRefPOC( REF_PIC_LIST_1, cMVField.getRefIdx()) == pcTextureSlice->getPOC() )
-        {
-          iViewIdx = pcTextureSlice->getRefPic( REF_PIC_LIST_1, cMVField.getRefIdx())->getViewIndex();
-          iDV = cMVField.getHor();
-
-          Int iValidDepRef = getPic()->isTextRefValid( REF_PIC_LIST_1, cMVField.getRefIdx() );
-
-          if( iValidDepRef >= 0 )
-          {
-            const TComMv cAdd( 2, 2 );
-            cMVField.getMv() += cAdd;
-            cMVField.getMv() >>= 2;
-#if !(NTT_BUG_FIX_TK54)
-            clipMv( cMVField.getMv() );
-#endif
-            tmpMV[ 1 ].setMvField( cMVField.getMv(), iValidDepRef );
-            tmpDir = 2;
-          }
-        }
-      }
-      if( tmpDir != 0 )
-      {
-        m_ucDDTmpDepth = m_pcSlice->getDepthFromDV( iDV,  iViewIdx );
-        m_iUseDDDCandIdx = iCount;
-
-        m_mergCands[MRG_D].setCand( tmpMV, tmpDir, false, false);
-        if ( mrgCandIdx == iCount )
-        {
-          return;
-        }
-        iCount ++;
-      }
-    }
-  }
-#endif
-#endif
   /////////////////////////////////////////////////////////////////
   //////// DERIVE IvMC, IvMCShift,IvDCShift, IvDC  Candidates /////
@@ -4441,9 +4163,5 @@
   Int    ivCandDir   [4] = {0, 0, 0, 0};
 
-#if HHI_TOOL_PARAMETERS_I2_J0107
   Bool ivMvPredFlag   = getSlice()->getIvMvPredFlag();
-#else
-  Bool ivMvPredFlag   = getSlice()->getVPS()->getIvMvPredFlag( getSlice()->getLayerIdInVps() );
-#endif
 
   ivMvPredFlag &= (nPSW + nPSH > 12);
@@ -4528,9 +4246,5 @@
 
 #if H_3D
-#if SEC_A1_BASED_VSP_J0039
   iCount += m_mergCands[MRG_A1].m_bAvailable + m_mergCands[MRG_B1].m_bAvailable;
-#else
-  iCount += m_mergCands[MRG_A1].m_bAvailable + m_mergCands[MRG_B1].m_bAvailable + m_mergCands[MRG_B0].m_bAvailable;
-#endif
 #else
   //left
@@ -4631,15 +4345,5 @@
 #endif
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-  // early termination
-  if ( iCount >= getSlice()->getMaxNumMergeCand()) 
-  {
-      return;
-  }
-#endif
-#endif
-
-#if SEC_A1_BASED_VSP_J0039
+
 #if H_3D_VSP
   /////////////////////////////////////////////////
@@ -4680,5 +4384,4 @@
   iCount += m_mergCands[MRG_B0].m_bAvailable;
 #endif
-#endif
 
 
@@ -4736,40 +4439,4 @@
 #endif // H_3D_IV_MERGE 
 
-#if !SEC_A1_BASED_VSP_J0039
-#if H_3D_VSP
-  /////////////////////////////////////////////////
-  //////// VIEW SYNTHESIS PREDICTION (VSP) ////////
-  /////////////////////////////////////////////////
-  if (iCount<getSlice()->getMaxNumMergeCand())
-  {
-
-  if (
-#if H_3D_IC
-      !bICFlag &&
-#endif
-#if H_3D_ARP
-      !bARPFlag &&
-#endif
-#if H_3D
-      (nPSW + nPSH > 12) &&
-#endif
-#if H_3D_DBBP
-      !bDBBPFlag &&
-#endif
-      xAddVspCand( mrgCandIdx, &cDisInfo, iCount ) )
-  {
-    return;
-  }
-
-  // early termination
-  if (iCount == getSlice()->getMaxNumMergeCand())
-  {
-    return;
-  }
-#endif
-#if H_3D
-  }
-#endif
-#endif
 
 #if H_3D
@@ -6016,9 +5683,5 @@
     iScale = xGetDistScaleFactor( iCurrViewId, iCurrRefViewId, iColViewId, iColRefViewId );
 
-#if HHI_TOOL_PARAMETERS_I2_J0107
     if ( iScale != 4096 && m_pcSlice->getIvMvScalingFlag( ) )
-#else
-    if ( iScale != 4096 && m_pcSlice->getVPS()->getIvMvScalingFlag(getSlice()->getLayerIdInVps()) ) 
-#endif
     {
       rcMv = cColMv.scaleMv( iScale );
@@ -6203,14 +5866,9 @@
 
   TComMv cMv; 
-#if LGE_DEFAULT_DV_J0046
   if ( getSlice()->getDefaultRefViewIdxAvailableFlag() )
   {
       Int iViewIdx = getSlice()->getDefaultRefViewIdx();
       pDisp->m_aVIdxCan = iViewIdx;
-#if HHI_TOOL_PARAMETERS_I2_J0107
       Int iDisp     = getSlice()->getDepthToDisparityB( iViewIdx )[ (Int64) (1 << ( getSlice()->getSPS()->getBitDepthY() - 1 )) ];
-#else
-      Int iDisp     = getSlice()->getDepthToDisparityB( iViewIdx )[ 1 << ( getSlice()->getSPS()->getBitDepthY() - 1 ) ];
-#endif
 
       cMv.setHor(iDisp);
@@ -6222,17 +5880,4 @@
   }
   return false;
-#else
-#if MTK_I0093
-  Int iDisp     = getSlice()->getDepthToDisparityB( 0 )[ (Int64) (1 << ( getSlice()->getSPS()->getBitDepthY() - 1 )) ];
-#else
-  Int iDisp     = getSlice()->getDepthToDisparityB( 0 )[ 128 ];
-#endif
-  cMv.setHor(iDisp);
-  cMv.setVer(0);
-  pDisp->m_acNBDV = cMv;
-  pDisp->m_aVIdxCan = 0;
-
-  return true;
-#endif
 }
 #endif
@@ -6266,27 +5911,4 @@
     }
     break;
-#if !SINGLE_DEPTH_SIMP_J0115
-  case 2: // Above
-    if(yP != 0)
-    {
-      *pNeighDepth = pDepth[ (yP-1) * iDepStride + (xP) ];
-      bDepAvail = true;
-    }
-    break;
-  case 3: // Left
-    if(xP != 0)
-    {
-      *pNeighDepth = pDepth[ (yP) * iDepStride + (xP-1) ];
-      bDepAvail = true;
-    }
-    break;
-  case 4: // Above_Left
-    if(xP != 0 && yP != 0)
-    {
-      *pNeighDepth = pDepth[ (yP-1) * iDepStride + (xP-1) ];
-      bDepAvail = true;
-    }
-    break;
-#endif
   default:
       break;
@@ -6327,9 +5949,5 @@
   }
 #if H_3D_NBDV_REF
-#if HHI_TOOL_PARAMETERS_I2_J0107
   if( !m_pcSlice->getDepthRefinementFlag( ) )
-#else
-  if( !m_pcSlice->getVPS()->getDepthRefinementFlag( m_pcSlice->getLayerIdInVps() ) )
-#endif
   {
     bDepthRefine = false;
@@ -6492,5 +6110,4 @@
   pDInfo->m_acNBDV = defaultDV;
 
-#if LGE_DEFAULT_DV_J0046
   if (getSlice()->getDefaultRefViewIdxAvailableFlag())
   {
@@ -6520,65 +6137,6 @@
       pDInfo->m_acDoNBDV = defaultDV;
 #endif
-#if LGE_SIMP_DISP_AVAIL_J0041
       return true;
-#endif
-  }
-#else
-  Int valid = 0;
-  Int viewIndex = 0;
-  for( UInt uiBId = 0; uiBId < getSlice()->getViewIndex() && valid==0; uiBId++ )
-  {
-    UInt        uiBaseId    = uiBId;
-    TComPic*    pcBasePic   = getSlice()->getIvPic( false, uiBaseId );
-    for( Int iRefListId = 0; ( iRefListId < (getSlice()->isInterB()? 2:1) ) && !getSlice()->isIntra() && valid==0; iRefListId++ )
-    {
-      RefPicList  eRefPicListTest = RefPicList( iRefListId );
-      Int         iNumRefPics = getSlice()->getNumRefIdx( eRefPicListTest ) ;
-      for( Int iRefIndex = 0; iRefIndex < iNumRefPics; iRefIndex++ )
-      { 
-        if(pcBasePic->getPOC() == getSlice()->getRefPic( eRefPicListTest, iRefIndex )->getPOC() 
-          && pcBasePic->getViewIndex() == getSlice()->getRefPic( eRefPicListTest, iRefIndex )->getViewIndex())
-        {
-          valid=1;
-          viewIndex = uiBaseId;
-          break;
-        }
-      }
-    }
-  }
-  if(valid)
-  {
-    pDInfo->m_aVIdxCan = viewIndex;
-#if H_3D_NBDV_REF
-    TComPic* picDepth = NULL;
-#if H_3D_FCO_VSP_DONBDV_E0163
-    picDepth  = getSlice()->getIvPic(true, getSlice()->getViewIndex() );
-    if ( picDepth->getPicYuvRec() != NULL )  
-    {
-      defaultDV.setZero();
-    }
-    else // Go back with virtual depth
-    {
-      picDepth = getSlice()->getIvPic( true, viewIndex );
-    }
-
-    assert(picDepth != NULL);
-#else
-    picDepth = getSlice()->getIvPic( true, viewIndex );
-#if !BUG_FIX_TK65
-    assert(picDepth!=NULL);
-#endif
-#endif
-    if (picDepth && bDepthRefine)
-    {
-      estimateDVFromDM(viewIndex, uiPartIdx, picDepth, uiPartAddr, &defaultDV ); // from base view
-    }
-    pDInfo->m_acDoNBDV = defaultDV;
-#endif
-#if LGE_SIMP_DISP_AVAIL_J0041
-    return true;
-#endif
-  }
-#endif
+  }
   return false; 
 }
@@ -6834,9 +6392,5 @@
   Bool depthRefineFlag = false; 
 #if H_3D_NBDV_REF
-#if HHI_TOOL_PARAMETERS_I2_J0107
   depthRefineFlag = m_pcSlice->getDepthRefinementFlag( ); 
-#else
-  depthRefineFlag = m_pcSlice->getVPS()->getDepthRefinementFlag( m_pcSlice->getLayerIdInVps() ); 
-#endif
 #endif // H_3D_NBDV_REF
 
@@ -6896,25 +6450,10 @@
 Void TComDataCU::getSPPara(Int iPUWidth, Int iPUHeight, Int& iNumSP, Int& iNumSPInOneLine, Int& iSPWidth, Int& iSPHeight)
 {
-#if HHI_TOOL_PARAMETERS_I2_J0107
   Int iSubPUSize = ( getSlice()->getIsDepth() ? getSlice()->getMpiSubPbSize() : getSlice()->getSubPbSize() );
-#else
-  Int iSubPUSize = 1<<getSlice()->getVPS()->getSubPULog2Size(getSlice()->getLayerId());
-  if( getSlice()->getIsDepth() )
-  {
-    iSubPUSize = 1<<getSlice()->getVPS()->getSubPUMPILog2Size(getSlice()->getLayerId());
-  }
-#endif
 
   iNumSPInOneLine = iPUWidth/iSubPUSize;
-#if !HS_SP_SIMP_J0066
-  iNumSPInOneLine = iNumSPInOneLine < 1 ? 1: iNumSPInOneLine;
-#endif
   Int iNumSPInOneColumn = iPUHeight/iSubPUSize;
-#if !HS_SP_SIMP_J0066
-  iNumSPInOneColumn = iNumSPInOneColumn < 1 ? 1: iNumSPInOneColumn;
-#else
   iNumSPInOneLine = (iPUHeight % iSubPUSize != 0 || iPUWidth % iSubPUSize != 0 ) ? 1 : iNumSPInOneLine;
   iNumSPInOneColumn = (iPUHeight % iSubPUSize != 0  || iPUWidth % iSubPUSize != 0 ) ? 1 : iNumSPInOneColumn;
-#endif
   iNumSP = iNumSPInOneLine * iNumSPInOneColumn;
 
@@ -6990,9 +6529,5 @@
   Bool depthRefineFlag = false; 
 #if H_3D_NBDV_REF
-#if HHI_TOOL_PARAMETERS_I2_J0107
   depthRefineFlag = m_pcSlice->getDepthRefinementFlag( ); 
-#else
-  depthRefineFlag = m_pcSlice->getVPS()->getDepthRefinementFlag( m_pcSlice->getLayerIdInVps() ); 
-#endif
 #endif // H_3D_NBDV_REF
 
Index: /trunk/source/Lib/TLibCommon/TComDataCU.h
===================================================================
--- /trunk/source/Lib/TLibCommon/TComDataCU.h	(revision 1132)
+++ /trunk/source/Lib/TLibCommon/TComDataCU.h	(revision 1133)
@@ -227,12 +227,4 @@
   DisInfo       m_cDefaultDisInfo;    ///< Default disparity information for initializing
 #endif
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-  UChar*        m_pucDisparityDerivedDepth;
-  Bool*         m_pbUseDDD;
-  Int           m_iUseDDDCandIdx;
-  UChar         m_ucDDTmpDepth;
-#endif
-#endif
 #if H_3D_IV_MERGE
   TComMotionCand  m_mergCands[MRG_IVSHIFT+1];
@@ -743,23 +735,4 @@
   UInt          getCoefScanIdx(UInt uiAbsPartIdx, UInt uiWidth, Bool bIsLuma, Bool bIsIntra);
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-  UChar*       getDDDepth        ()                        { return m_pucDisparityDerivedDepth;        }
-  UChar        getDDDepth        ( UInt uiIdx )            { return m_pucDisparityDerivedDepth[uiIdx]; }
-  Void         setDDDepth        ( UInt uiIdx, UChar n )   { m_pucDisparityDerivedDepth[uiIdx] = n;    }
-  Void         setDDDepthSubParts( UChar ucDDD, UInt uiAbsPartIdx, UInt uiPartIdx, UInt uiDepth );
-
-  Bool*        getUseDDD        ()                        { return m_pbUseDDD;        }
-  Bool         getUseDDD        ( UInt uiIdx )            { return m_pbUseDDD[uiIdx]; }
-  Void         setUseDDD        ( UInt uiIdx, Bool n )     { m_pbUseDDD[uiIdx] = n;    }
-  Void         setUseDDD( Bool bUseDDD, UInt uiAbsPartIdx, UInt uiDepth );
-
-  Void         setUseDDD        ( Bool bUseDDD, UInt uiAbsPartIdx, UInt uiPartIdx, UInt uiDepth );
-
-  UChar        getDDTmpDepth(){ return m_ucDDTmpDepth; }
-  Int          getUseDDDCandIdx(){ return m_iUseDDDCandIdx;}
-
-#endif
-#endif
 
 #if H_3D_DIM
Index: /trunk/source/Lib/TLibCommon/TComPrediction.cpp
===================================================================
--- /trunk/source/Lib/TLibCommon/TComPrediction.cpp	(revision 1132)
+++ /trunk/source/Lib/TLibCommon/TComPrediction.cpp	(revision 1133)
@@ -1158,42 +1158,4 @@
   pcCU->clipMv(cMv);
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-  if( pcCU->getUseDDD( uiPartAddr ) )
-  {
-      assert( pcCU->getSPIVMPFlag( uiPartAddr ) == 0 );
-      assert( pcCU->getSlice()->getViewIndex() != 0 );
-
-      Int dstStride = rpcYuvPred->getStride();
-      Int dstStrideC = rpcYuvPred->getCStride();
-      Pel *dst      = rpcYuvPred->getLumaAddr( uiPartAddr );
-      Pel *dstU     = rpcYuvPred->getCbAddr( uiPartAddr );
-      Pel *dstV     = rpcYuvPred->getCrAddr( uiPartAddr );
-
-      Int iWidthC  = iWidth >> 1;
-      Int iHeightC = iHeight >> 1;
-      Int DefaultC = 1 << ( g_bitDepthY - 1);
-      for ( Int i = 0; i < iHeight; i++)
-      {
-          for ( Int j = 0; j < iWidth ; j++)
-          {
-              dst[j] = pcCU->getDDDepth( uiPartAddr );
-          }
-          dst += dstStride;
-      }
-      for ( Int i = 0; i < iHeightC; i++)
-      {
-          for ( Int j = 0; j < iWidthC; j++)
-          {
-              dstU[j] = dstV[j] = DefaultC;
-          }
-          dstU += dstStrideC;
-          dstV += dstStrideC;
-      }
-
-      //return;
-  } else
-#endif
-#endif
 #if H_3D_ARP
   if(pcCU->getARPW( uiPartAddr ) > 0  && pcCU->getSlice()->getRefPic( eRefPicList, iRefIdx )->getPOC()== pcCU->getSlice()->getPOC())
@@ -2190,13 +2152,9 @@
       x += pRef[j];
       y += pRec[j];
-#if LGE_CHROMA_IC_J0050_J0034
       if ( eType == TEXT_LUMA )
       {
-#endif
         xx += (pRef[j] * pRef[j])>>precShift;
         xy += (pRef[j] * pRec[j])>>precShift;
-#if LGE_CHROMA_IC_J0050_J0034
-      }
-#endif
+      }
     }
     iCountShift += g_aucConvertToBit[ uiWidth ] + 1;
@@ -2227,13 +2185,9 @@
       x += pRef[0];
       y += pRec[0];
-#if LGE_CHROMA_IC_J0050_J0034
       if ( eType == TEXT_LUMA )
       {
-#endif
         xx += (pRef[0] * pRef[0])>>precShift;
         xy += (pRef[0] * pRec[0])>>precShift;
-#if LGE_CHROMA_IC_J0050_J0034
-      }
-#endif      
+      }
       pRef += iRefStride*2;
       pRec += iRecStride*2;
@@ -2249,5 +2203,4 @@
   }
 
-#if LGE_CHROMA_IC_J0050_J0034
   if (  eType != TEXT_LUMA )
   {
@@ -2257,5 +2210,4 @@
   else
   {
-#endif
   xy += xx >> IC_REG_COST_SHIFT;
   xx += xx >> IC_REG_COST_SHIFT;
@@ -2299,7 +2251,5 @@
     }
   }   
-#if LGE_CHROMA_IC_J0050_J0034
-  }
-#endif
+  }
 }
 #endif
Index: /trunk/source/Lib/TLibCommon/TComRom.cpp
===================================================================
--- /trunk/source/Lib/TLibCommon/TComRom.cpp	(revision 1132)
+++ /trunk/source/Lib/TLibCommon/TComRom.cpp	(revision 1133)
@@ -362,9 +362,5 @@
 const UChar g_dmm1TabIdxBits[6] =
 { //2x2   4x4   8x8 16x16 32x32 64x64
-#if MTK_DMM_SIM_J0035 
      0,    7,   10,   9,    9,   13 };
-#else
-     0,    7,   10,   11,   11,   13 };
-#endif
 
 const UChar g_dmm3IntraTabIdxBits[6] =
@@ -767,5 +763,4 @@
     }
 
-#if MTK_DMM_SIM_J0035
     for( Int iK = 0; iK < uiBlockSize; iK += (uiWidth>=16 ?2:1))
     {
@@ -776,14 +771,4 @@
       }
     }
-#else
-    for( Int iK = 0; iK < uiBlockSize; iK++ )
-    {
-      for( Int iL = 0; iL < uiBlockSize; iL++ )
-      {
-        cTempWedgelet.setWedgelet( uhStartX + (iK*iStepStartX) , uhStartY + (iK*iStepStartY), uhEndX + (iL*iStepEndX), uhEndY + (iL*iStepEndY), (UChar)uiOri, eWedgeRes, ((iL%2)==0 && (iK%2)==0) );
-        addWedgeletToList( cTempWedgelet, racWedgeList, racWedgeRefList );
-      }
-    }
-#endif
   }
 
